<?php

/**
 * @file
 * Definition of Drupal\cryptolog\Tests\CryptologTest.
 */

namespace Drupal\cryptolog\Tests;

/**
 * Tests Cryptolog with the Memcache contributed module.
 *
 * @group cryptolog
 * @requires module memcache
 */
class CryptologMemcacheTest extends CryptologTest {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = array('dblog', 'cryptolog', 'memcache');

  /**
   * Override the tests so we can check for memcache dependencies.
   */
  function testCryptolog() {
    if (extension_loaded('memcache') || extension_loaded('memcached')) {
      parent::testCryptolog();
    }
  }


}
